Intrusion Prevention

Jenkins.ClassicCommandTransport.read.Code.Execution

Description

This indicates an attack attempt to exploit a remote Code Execution vulnerability in Jenkins CI server.
The vulnerability is due to an error in the Java CLI when handling serialized Java SignedObject objects. A remote attacker could exploit this to execute arbitrary code within the context of the application, via a crafted request.

Affected Products

Jenkins LTS before 2.46.2
Jenkins-Ci Jenkins before 2.57

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Refer to the vendor's advisory for updates:
https://jenkins.io/security/advisory/2017-04-26/

CVE References

CVE-2017-1000353